Bug 353831 - HTMLgen: ID Support in Input and Select classes
HTMLgen: ID Support in Input and Select classes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-HTMLgen (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 06:07 EDT by Fred Baumgarten
Modified: 2008-06-16 22:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:44:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the problem. (2.35 KB, application/octet-stream)
2007-10-26 06:07 EDT, Fred Baumgarten
no flags Details

  None (edit)
Description Fred Baumgarten 2007-10-26 06:07:20 EDT
python HTMLgen lacks of ID-Support in Input and Select classes.

Here is a patch applied.

probably this needs to be fixed in f8, too.
Comment 1 Fred Baumgarten 2007-10-26 06:07:20 EDT
Created attachment 238791 [details]
patch to fix the problem.
Comment 2 José Matos 2008-04-16 08:14:45 EDT
The patch is straightforward, no doubt :-) and correct. :-)

My only problem is that normally I would suggest to add this functionality
upstreams but the project seems to be dead. Do you know if there any effort to
continue the development (or at least maintain the code base)?
Comment 3 Fred Baumgarten 2008-04-18 11:03:23 EDT
Hi José !

I also sent this patch to
https://bugs.launchpad.net/ubuntu/+source/htmlgen/+bug/157373 - mybe you like to
contact Morten Kjeldgaard over there ?

In the meantime I encountered some more stuff which might be incorporated...

I don't know wether there is still a maintainer for the code :-(

cheers, Fred
Comment 4 Bug Zapper 2008-05-14 10:52:30 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:44:24 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.